Skip to content

Commit

Permalink
Showing 2 changed files with 10 additions and 12 deletions.
5 changes: 3 additions & 2 deletions .travis.yml
Original file line number Diff line number Diff line change
@@ -82,7 +82,7 @@ matrix:
jdk: oraclejdk8
allow_failures:
- env: PHASE='-Prake -Dtask=test:mri:fullint'
- env: JT=check_ambiguous_arguments
- env: JT=check_ambiguous_arguments SKIP_BUILD=true
jdk: oraclejdk8
- env: JT='test mri'
- env: PHASE='-Pj2ee --projects !truffle'
@@ -104,7 +104,8 @@ branches:
- ruby-2.3

script: tool/travis_runner.sh
install: travis_retry ./mvnw -Pbootstrap clean install -B -Dinvoker.skip -Dmaven.test.skip
install:
- if [ -z "$SKIP_BUILD" ]; then travis_retry ./mvnw -Pbootstrap clean install -B -Dinvoker.skip -Dmaven.test.skip; fi

notifications:
irc:
17 changes: 7 additions & 10 deletions tool/travis_runner.sh
Original file line number Diff line number Diff line change
@@ -3,19 +3,16 @@
set -e
set -x

if [[ -v JT ]] && [[ "$JT" = "check_ambiguous_arguments" ]]
if [ -z "$SKIP_BUILD" ]
then
ruby tool/jt.rb $JT
exit $?
fi
./mvnw install -B -Dinvoker.skip=false $PHASE | egrep -v 'Download|\\[exec\\] [[:digit:]]+/[[:digit:]]+|^[[:space:]]*\\[exec\\][[:space:]]*$'

./mvnw install -B -Dinvoker.skip=false $PHASE | egrep -v 'Download|\\[exec\\] [[:digit:]]+/[[:digit:]]+|^[[:space:]]*\\[exec\\][[:space:]]*$'
MVN_STATUS=${PIPESTATUS[0]}

MVN_STATUS=${PIPESTATUS[0]}

if [ $MVN_STATUS != 0 ]
then
exit $MVN_STATUS
if [ $MVN_STATUS != 0 ]
then
exit $MVN_STATUS
fi
fi

if [[ -v COMMAND ]]

0 comments on commit a4dbd4f

Please sign in to comment.